//	Copyright  1995 Apple Computer, Inc. All rights reserved.
//	Release Version:	$ 1.0 d11 $

#ifndef _GRAPHICSFRAME_
#define _GRAPHICSFRAME_

//=======================================================================
// ----- Framework Includes -----
#ifndef FWFRAME_H
#include <FWFrame.h>		// FW_CFrame
#endif

// ----- OS Layer Includes -----
#ifndef FWGC_H
#include "FWGC.h"		// FW_CGraphicContext
#endif

//=======================================================================
class FW_CLASS_ATTR CGraphicsPart;
class FW_CLASS_ATTR FW_CLineShape;
class FW_CLASS_ATTR FW_CRegionShape;
class FW_CLASS_ATTR FW_CPolygonShape;
class FW_CLASS_ATTR FW_CPrintHandler;

//=======================================================================
class FW_CLASS_ATTR CGraphicsFrame : public FW_CFrame {
public:
						CGraphicsFrame(Environment* ev, 
									ODFrame* odFrame, 
									FW_CPresentation* presentation, 
									CGraphicsPart* part);
	virtual 			~CGraphicsFrame();
protected:
// overrides
	virtual void		Draw(Environment *ev, 
							 ODFacet* odFacet, 
							 ODShape* invalidShape);
	virtual void		FacetAdded(Environment* ev, ODFacet* facet);
	virtual FW_Boolean 	DoMouseDown(Environment* ev, 
								const FW_CMouseEvent& theMouseEvent);

// ----- Printing ------
	virtual FW_CPrintHandler*	NewPrintHandler(Environment* ev);
	virtual	FW_Boolean			IsCurrentlyPrintable(Environment* ev) const;
	virtual void				GetPrintContentExtent(Environment *ev, FW_CPoint& extent) const;

// new methods
	virtual FW_CPictureShape* 	MyCreatePictureShape(Environment* ev);
	virtual FW_CPolygonShape* 	MyCreatePolygonShape(Environment* ev);
	virtual FW_CLineShape* 		MyCreateLineShape(Environment* ev);
	virtual FW_CRegionShape* 	MyCreateRegionShape(Environment* ev);
	virtual void 		MyDrawBackground(Environment* ev, FW_CGraphicContext& gc);
	virtual void 		MyDrawShapes(Environment* ev, FW_CGraphicContext& gc);
	virtual void 		MyDrawText(Environment* ev, FW_CGraphicContext& gc);
	virtual void 		MyDrawPictures(Environment* ev, FW_CGraphicContext& gc);
	virtual void 		MyDrawLine(Environment* ev, FW_CGraphicContext& gc);
	virtual void 		MyDrawPolygon(Environment* ev, FW_CGraphicContext& gc);
	virtual void 		MyInvalidateLine(Environment* ev);
private:
	FW_CPictureShape*	fLargePictureShape;
	FW_CLineShape*		fLineShape;
	FW_CRegionShape*	fRegionShape;
	FW_CPolygonShape*	fPolygonShape;
	FW_CRect			fLargePictRect;
};

//=======================================================================
#endif
