//	Copyright  1995 Apple Computer, Inc. All rights reserved.
//	Release Version:	$ 1.0 d11 $

#ifndef GRAPHICSPRT_H
#define GRAPHICSPRT_H

//=======================================================================
#ifndef _GRAPHICSDEF_
#include "GraphicsDef.h"
#endif

// ----- Framework Includes -----
#ifndef FWPART_H
#include "FWPart.h"			// FW_CPart
#endif

// ----- Foundation Layer -----
#ifndef FWSTDDEF_H
#include <FWStdDef.h>		// ?
#endif

#ifndef FWBNDSTR_H
#include <FWBndStr.h>		// FW_CString
#endif

//=======================================================================
class FW_CLASS_ATTR FW_CPart;
class FW_CLASS_ATTR FW_CString;
class FW_CLASS_ATTR FW_CPresentation;

//=======================================================================
class FW_CLASS_ATTR CGraphicsPart : public FW_CPart {
public:
						CGraphicsPart(ODPart* odPart);
	virtual 			~CGraphicsPart();
// overrides
protected:
	virtual void 		Initialize(Environment* ev);
	virtual FW_CFrame*	NewFrame(Environment* ev,
								 ODFrame* odFrame,
								 FW_CPresentation* presentation,
								 FW_Boolean fromStorage);
// new members
public:
	static const ODValueType 	kPartKind;
	static const ODValueType 	kPartUserName;
private:
	FW_CPresentation*	fPresentation;
};

//=======================================================================
#endif
