//	Copyright  1995 Apple Computer, Inc. All rights reserved.
//	Release Version:	$ 1.0 d11 $

//================================================================================
#ifndef GRAPHICSPRT_H
#include "GraphicsPrt.h"		// CGraphicsPart
#endif

#ifndef _GRAPHICSFRAME_
#include "GraphicsFrm.h"		// CGraphicsFrame
#endif

// ----- Framework Layer -----
#ifndef FWPRESEN_H
#include "FWPresen.h"		// FW_CPresentation
#endif

#ifndef FWUTIL_H
#include "FWUtil.h"			// FW_Beep()
#endif

// ----- OS Layer -----
#ifndef   FWRESFIL_H
#include "FWResFil.h"		// FW_CResourceFile
#endif

#ifndef FWCFMRES_H
#include "FWCFMRes.h"		// FW_CSharedLibraryResourceFile
#endif

#ifndef FWRESTYP_H
#include "FWResTyp.h"		// MULTISTRINGRES
#endif

// ----- Foundation Layer -----
#ifndef FWSTREAM_H
#include <FWtream.h>		// FW_InitializeArchiving
#endif

#ifndef FWSTRGAR_H
#include "FWStrgAr.h"		// FW_CStringArchiver
#endif

// ----- OpenDoc Includes --------------
#ifndef SOM_Module_OpenDoc_StdProps_defined
#include <StdProps.xh>		// kODPropContents
#endif

#ifndef SOM_ODDispatcher_xh
#include "Disptch.xh"		// ODIdleFrequency
#endif

#ifndef SOM_ODSession_xh
#include <ODSessn.xh>		// ODSession
#endif


//==============================================================================
const ODValueType CGraphicsPart::kPartKind = kGraphicsKind;
const ODValueType CGraphicsPart::kPartUserName = kGraphicsEditorUserString;

#define kMainPresentation	"Apple:Presentation:Graphics"

//==============================================================================
#ifdef FW_BUILD_MAC
#pragma segment Graphics
#endif

//==============================================================================
CGraphicsPart::CGraphicsPart(ODPart* odPart)
  :	FW_CPart(odPart, kPartKind, kPartUserName, FW_gInstance, kPartIconID),
	fPresentation(NULL)
{
}

//--------------------------------------------------------------------------------
CGraphicsPart::~CGraphicsPart()
{
}

//--------------------------------------------------------------------------------
void 
CGraphicsPart::Initialize(Environment* ev)	// Override
{
	FW_CPart::Initialize(ev);
	fPresentation = RegisterPresentation(ev, kMainPresentation, TRUE, NULL);
	FW_InitializeArchiving(FW_gInstance);
}

//--------------------------------------------------------------------------------
FW_CFrame* 
CGraphicsPart::NewFrame(Environment* ev, ODFrame* odFrame,
				FW_CPresentation* presentation, FW_Boolean fromStorage)	// Override
{
	FW_UNUSED(presentation);
	FW_UNUSED(fromStorage);
	return new CGraphicsFrame(ev, odFrame, presentation, this);
}
